Alladdin

Work in progress

Site en construction

الموقع قيد الإنشاء

Alladdin
PUT

Update an employee

Scope: team:employees.write https://api.alladdin.com/api/v2/employees/{employeeId}

Updates basic personal data of an employee (name, email, phone, nationality, workplace, etc.). Does NOT update job title, position (puesto/cargo), or any other contract data — use the "Update contract data" endpoint for those fields.

Parameters

Path parameters

employeeId string required

Employee ID

Request body

object name string

First name

last_name string

Last name

email string<email>

Primary email

workplace_id string | null

Workplace ID

phone string | null

Phone number

mobile string | null

Mobile number

date_of_birth string | null

Date of birth

gender string | null

Gender

main_language string | null

Main language code

nationality string | null

Nationality code

code string | null

Employee code

social_security_number string | null

Social security number

iban string | null

IBAN

reporting_to string | null

Reporting-to employee ID

team_ids[] string[] | null

Team IDs

Request

python
import requests

url = "https://api.alladdin.com/api/v2/employees/{employeeId}"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

payload = {
    "name": "string",
    "last_name": "string",
    "email": "[email protected]",
    "workplace_id": "string",
    "phone": "string",
    "mobile": "string",
    "date_of_birth": "string",
    "gender": "string",
    "main_language": "string",
    "nationality": "string",
    "code": "string",
    "social_security_number": "string",
    "iban": "string",
    "reporting_to": "string",
    "team_ids": [
        "string"
    ]
}
response = requests.put(url, headers=headers, json=payload)
print(response.json())

Responses

Response

json
{
  "id": "string"
}

Success responses

200 Employee updated application/json object id string

Error responses

400 Bad request application/json 401 Invalid or missing API key application/json 403 Insufficient permissions application/json 404 Employee not found application/json 422 Validation error application/json 429 Rate limit exceeded application/json

← PreviousCreate an employee →

Next →Update active contract →